# Uses of Class
java.awt.dnd.DropTargetContext

Packages that use DropTargetContext
Package
Description
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of DropTargetContext in java.awt.dnd

Fields in java.awt.dnd declared as DropTargetContext
Modifier and Type
Field
Description
`protected DropTargetContext`
DropTargetEvent.`context`
The `DropTargetContext` associated with this `DropTargetEvent`.
Methods in java.awt.dnd that return DropTargetContext
Modifier and Type
Method
Description
`protected DropTargetContext`
DropTarget.`createDropTargetContext()`
Creates the DropTargetContext associated with this DropTarget.
`DropTargetContext`
DropTarget.`getDropTargetContext()`
Gets the `DropTargetContext` associated with this `DropTarget`.
`DropTargetContext`
DropTargetEvent.`getDropTargetContext()`
This method returns the `DropTargetContext` associated with this `DropTargetEvent`.
Constructors in java.awt.dnd with parameters of type DropTargetContext
Modifier
Constructor
Description
``
`DropTargetDragEvent(DropTargetContext dtc, Point cursorLocn, int dropAction, int srcActions)`
Construct a `DropTargetDragEvent` given the `DropTargetContext` for this operation, the location of the "Drag" `Cursor`'s hotspot in the `Component`'s coordinates, the user drop action, and the source drop actions.
``
`DropTargetDropEvent(DropTargetContext dtc, Point cursorLocn, int dropAction, int srcActions)`
Construct a `DropTargetDropEvent` given the `DropTargetContext` for this operation, the location of the drag `Cursor`'s hotspot in the `Component`'s coordinates, the currently selected user drop action, and the current set of actions supported by the source.
``
`DropTargetDropEvent(DropTargetContext dtc, Point cursorLocn, int dropAction, int srcActions, boolean isLocal)`
Construct a `DropTargetEvent` given the `DropTargetContext` for this operation, the location of the drag `Cursor`'s hotspot in the `Component`'s coordinates, the currently selected user drop action, the current set of actions supported by the source, and a `boolean` indicating if the source is in the same JVM as the target.
``
`DropTargetEvent(DropTargetContext dtc)`
Construct a `DropTargetEvent` object with the specified `DropTargetContext`.